public class ExecuteValidation extends DataFixture
dataFile, executeHttpGetUri, executeRequestFileRawDataOutputSubject, executeRequestFileResponseDocumentOutputSubject, executeRequestFileUpdatingResponseDocumentOutputSubject, model, originalSubject, Resource_GML_Path, Resource_SWE_Path, testSubject, testSubjectUri| Constructor and Description |
|---|
ExecuteValidation() |
| Modifier and Type | Method and Description |
|---|---|
String |
CheckXPath2(String xpath,
Document testSubject)
Check XPath2.0
|
net.sf.saxon.s9api.XdmValue |
evaluateXPath2(Source xmlSource,
String expr,
Map<String,String> nsBindings)
Evaluates an XPath 2.0 expression using the Saxon s9api interfaces.
|
Map<String,String> |
getStandardBindings() |
void |
HTTPGETTransferredExecuteValidation()
A.4.4.1 HTTP protocol GET usage
|
void |
HTTPPOSTTransferredExecuteValidation()
A.4.4.2 HTTP protocol POST usage
|
void |
LanguageSelectionExecuteValidation()
A.4.4.6 Language Selection
|
void |
RawDataOutputExecuteValidation()
A.4.4.3 Raw Data Output
|
void |
ResponseDocumentExecuteValidation()
A.4.4.4 Response Document
|
void |
UpdatingResponseDocumentExecuteValidation()
A.4.4.5 Updating Response Document
|
CheckObservationTypeCategory, CheckObservationTypeCount, CheckObservationTypeMeasurement, CheckObservationTypeTruth, CheckXPath2, CheckXPath2Modified, CreateValidator, CreateValidatorFromXSD, evaluateXPath2Modified, generateXPathExpression, GetFileViaResourcePath, GetResultTypeHref, obtainTestSubject, SchemaElement, setDataFile, setSchemaModelpublic void HTTPGETTransferredExecuteValidation()
throws IOException,
URISyntaxException
IOExceptionURISyntaxException - Description:
1. Check server offline or not
2. Check KVP parameters is valid or not (Required parameters include: Service, Request, Version and Identifier. Optional parameters include: Language, DataInputs, ResponseDocument, RawOutputData, StoreExecuteResponse, Lineage, Status)
3. Check KVP syntax follow 10.2.2.1 and 10.2.2.2
4. Check response code from GET request is 200 or notpublic void HTTPPOSTTransferredExecuteValidation()
throws IOException
IOException - Description:
1. Check server offline or not
2. Check XML content is valid or not follow 10.2.3
3. Check response code from POST request is 200 or notpublic void RawDataOutputExecuteValidation()
throws IOException
IOException - Description:
1. Check server offline or not
2. Check XML content is valid or not follow 10.2.3
3. Check response code from POST request is 200 or not
4. Check response text from POST request is valid or not (How to check for all types of output?)public void ResponseDocumentExecuteValidation()
throws IOException,
URISyntaxException
IOExceptionURISyntaxException - 1. Check server offline or not
2. Check XML content is valid or not follow 10.2.3
3. Check response code from POST request is 200 or not
4. Check response text from POST request is valid or not follow 10.3.2public void UpdatingResponseDocumentExecuteValidation()
throws IOException,
URISyntaxException
IOExceptionURISyntaxException - 1. Check server offline or not
2. Check XML content is valid or not follow 10.2.3
3. Check response code from POST request is 200 or not
4. Check response text from POST request is valid or not follow 10.3.2 (Try with LiteralData, BoundingBoxData and ComplexData. How to custom it dynamic?)
5. Check StoreResponseDocument attribute is true or false (Need to be true)
6. Check response text from GET request for statusLocation is valid or not follow 10.3.2public void LanguageSelectionExecuteValidation()
throws IOException,
URISyntaxException
IOExceptionURISyntaxException - Description:
1. Check server offline or not
2. Check KVP parameters is valid or not (Required parameters include: Service, Request, Version and Identifier. Optional parameters include: Language, DataInputs, ResponseDocument, RawOutputData, StoreExecuteResponse, Lineage, Status)
3. Check KVP syntax follow 10.2.2.1 and 10.2.2.2
4. Check response code from GET request is 200 or not
5. Check response text from GET request is valid or not follow 10.3.2 (If language is not supported or error, return Exception; If supported, return ResponseDocument)public String CheckXPath2(String xpath, Document testSubject)
xpath - String denoting an xpath syntaxpublic net.sf.saxon.s9api.XdmValue evaluateXPath2(Source xmlSource, String expr, Map<String,String> nsBindings) throws net.sf.saxon.s9api.SaxonApiException
xmlSource - The XML Source.expr - The XPath expression to be evaluated.nsBindings - A collection of namespace bindings required to evaluate the
XPath expression, where each entry maps a namespace URI (key)
to a prefix (value); this may be null if not needed.net.sf.saxon.s9api.SaxonApiException - If an error occurs while evaluating the expression; this
always wraps some other underlying exception.Copyright © 2021 Open Geospatial Consortium. All rights reserved.